Distribution:   CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>
Name:		SDL_sound
Version:	1.0.1
Release:	6
Provides:	%{name}
Obsoletes:	%{name} = %{version}
License:	GNU/GPL 
URL:		http://www.icculus.org/SDL_sound 
Group:		Sound
Source0:	%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	%{name} is a library that handles the decoding of several sound file formats.
BuildRequires:	SDL-devel libmikmod-devel

%description
%{name} is a library that handles the decoding of several popular sound file formats,
such as .WAV and .MP3. It is meant to make the programmer's sound playback tasks simpler.
The programmer gives SDL_sound a filename, or feeds it data directly from one of many sources,
and then reads the decoded waveform data back at her leisure.
If resource constraints are a concern, SDL_sound can process sound data in
programmer-specified blocks. Alternately, SDL_sound can decode a whole sound file and
hand back a single pointer to the whole waveform. SDL_sound can also handle sample rate,
audio format, and channel conversion on-the-fly and behind-the-scenes, if the programmer desires.
For more details see: %{url}

%package devel
Summary: 	%{name} development headers.
Group: 		%{group}            
Requires: 	%{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}

%build
./configure --prefix=%_prefix --disable-smpeg
make

%install
make install DESTDIR=$RPM_BUILD_ROOT
find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
/*
%exclude %_includedir
%exclude %_libdir/*.a
%exclude %_libdir/*.la

%files devel
%defattr(-,root,root)
%_includedir
%_libdir/*.a
%_libdir/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Jan 01 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.0.1-6
- rebuilt against SDL 1.2.13
* Wed Jul 05 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.0.1-5
- rebuilt against SDL 1.2.11
* Sun May 28 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.0.1-4
- rebuilt against SDL 1.2.10
* Fri Jun 17 2005 Christian Metzen <metzench@ccux-linux.de> 1.0.1-3
- Tweaked specfile, moved static libs to devel package, refined dependencies
* Fri Jun 17 2005 Stefan Gottwald <gotti@ccux-linux.de> 1.0.1-2
- Rebuild with newer FLAC Version
* Fri Apr 15 2005 Christian Wasem <wasem@ccux-linux.de> 1.0.1-1
- Initial Release
